Bug 510429 - file is confused by string "/* (if any) */" in C header and claims it "Lisp/Scheme program text"
file is confused by string "/* (if any) */" in C header and claims it "Lisp/S...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 04:52 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 10:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
usr/include/readline5/readline/history.h: Lisp/Scheme program text (9.97 KB, text/plain)
2009-07-09 04:52 EDT, Michal Nowak
no flags Details
a patch: removing magic (507 bytes, patch)
2009-07-23 10:01 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Michal Nowak 2009-07-09 04:52:56 EDT
Created attachment 351027 [details]
usr/include/readline5/readline/history.h:    Lisp/Scheme program text

Description of problem:

newman@dhcp-lab-124 tmp $ cat usr/include/readline5/readline/history.h
/* (if any) */

newman@dhcp-lab-124 tmp $ file usr/include/readline5/readline/history.h
usr/include/readline5/readline/history.h: Lisp/Scheme program text

Version-Release number of selected component (if applicable):

file-5.03-2.fc11.x86_64

How reproducible:

always
  
Actual results:

Lisp/Scheme program text"

Expected results:

"ASCII C program text" as for other C headers

Additional info:

This caused rpmlint warning here: https://bugzilla.redhat.com/show_bug.cgi?id=510022#c1

Attaching the whole file.
Comment 1 Daniel Novotny 2009-07-23 10:01:53 EDT
Created attachment 354864 [details]
a patch: removing magic

The magic for Lisp files contains search for "(if" - this can confuse file(1) in this case and I can imagine some others (like natural language English text perhaps). Removing this entry.
Comment 2 Daniel Novotny 2009-07-23 10:03:38 EDT
is it sufficient to fix this in rawhide, or do you want me to fix this also in F11?
Comment 3 Daniel Novotny 2009-07-23 10:17:53 EDT
fixed in rawhide now: file-5.03-6.fc12
Comment 4 Michal Nowak 2009-07-23 10:32:54 EDT
Rawhide's fine for me.
Comment 5 Michal Nowak 2009-07-23 10:33:09 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.